from xtr import logging
from mtf_basic_tuto_fixture import MTFBasicTutoFixture
from mtf.test_features_sim.test_features_controller import TestFeaturesSim
from mtf.proto_common import EthProtocolType
tfs_instance = TestFeaturesSim()
logger = logging.getLogger(__name__)


class FixtureSerialMessage(MTFBasicTutoFixture):

    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from FixtureSerialMessage setUpClass function"
        )

    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from FixtureSerialMessage tearDownClass function"
        )

    def setUp(self):
        logger.info(
            "Message from FixtureSerialMessage setUp function"
        )

    def tearDown(self):
        logger.info(
            "Message from FixtureSerialMessage tearDown function"
        )
